Bug 351941 - invalid sample-ks.cfg
invalid sample-ks.cfg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 05:04 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 19:00:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-10-25 05:04:46 EDT
Description of problem: revisor fails with the message that the shipped 
sample-ks.cfg isn't valid.


Version-Release number of selected component (if applicable):
revisor-2.0.4.3-7.fc8

How reproducible:
ever

Steps to Reproduce:
1. start revisor 
2. configure revisor and going forward until the screen with the kickstart to 
load appears
3. don't change the default kickstart and click on "Forward"
  
Actual results:
Error message: Kickstart file not good.

Expected results:
The provided sample should be valid to use.

Additional info:
There is no additional output in a terminal.
Comment 1 redtux 2007-11-10 18:04:52 EST
I can confirm this with any and all config files
This is with revisor-2.0.5-5.fc8
Comment 2 Jonathan Steffan 2007-11-10 19:58:51 EST
Yes, there is a bug with our RevisorKickstart code on f8. There is also another
issue where revisor goes in an infinite loop if no kickstart is given. We're
looking into it.
Comment 3 Jonathan Steffan 2007-11-11 16:31:39 EST
https://bugzilla.redhat.com/show_bug.cgi?id=364061 So... it's pykickstart, look
for an update.
Comment 4 Jeroen van Meeuwen 2007-11-11 17:39:23 EST
pykickstart 1.18 is in the repos, 1.19 should solve this but hasn't been pushed
to updates/ or updates/testing
Comment 5 Jonathan Steffan 2007-11-13 19:00:02 EST
The update has been pushed and now revisor can read kickstarts. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.